package CH.ifa.draw.framework;

import bibliothek.gui.dock.common.action.CAction;

import java.util.LinkedList;


/**
 * Classes implementing this interface provide some decorations which can be added to a DrawingView.
 */
public interface DrawingViewDecoration {

    /**
     * Get a list of decorations provided by this class.
     *
     * @return
     */
    LinkedList<CAction> getDecorations();
}
