package CH.ifa.draw.util;

import CH.ifa.draw.framework.Drawing;

import java.awt.Dimension;
import java.awt.Point;
import java.io.File;
import java.io.IOException;


public interface AutosaveSaver {
    /**
     * Saves the file.
     * @param drawing the drawing to be saved
     * @param filename the filename to be saved
     * @param loc a point
     * @param size the size of the drawing
     **/
    public void saveAutosaveFile(Drawing drawing, File filename, Point loc,
                                 Dimension size)
                    throws IOException;
}