module de.renew.gui {
    // Provided Packages
    exports de.renew.gui;
    exports de.renew.io;
    exports de.renew.gui.controller;
    exports de.renew.gui.pnml.creator;
    exports de.renew.io.exportFormats;

    // Needed for getClass().getResource() to work
    opens de.renew.gui.images;

    // Renew Dependencies
    requires transitive CH.ifa.draw;
    requires transitive de.renew.remote;
    requires transitive de.renew.formalism;
    requires static de.renew.ant;

    // Java Dependencies
    requires java.desktop;
    requires java.naming;
    requires java.rmi;
    requires java.xml;

    // Third-Party Dependencies
    requires ant;
    requires docking.frames.common;
    requires docking.frames.core;
    requires log4j;
}
