/*
 * Created on Nov 19, 2004
 *
 */
package de.renew.logging.gui;

import de.renew.engine.common.SimulatorEventLogger;

import org.apache.log4j.Appender;


/**
 * Wraps an {@link Appender}.
 * @author Sven Offermann
 * @deprecated This doesn't appear to be used anywhere.
 */
@Deprecated
public class AppenderWrapper {
    private Appender appender = null;
    private String loggerName;

    public AppenderWrapper(Appender appender) {
        this.appender = appender;
    }

    public Appender getAppender() {
        return this.appender;
    }

    public String getLoggerName() {
        String name = null;
        if (loggerName.equals(SimulatorEventLogger.SIM_LOG_PREFIX)) {
            name = "Simulation Root Logger";
        } else if (loggerName.startsWith(
                        SimulatorEventLogger.SIM_LOG_PREFIX + ".")) {
            name = loggerName.substring(loggerName.indexOf(".") + 1);
        }

        return name;
    }

    public String getRealLoggerName() {
        return this.loggerName;
    }

    @Override
    public String toString() {
        return this.getLoggerName();
    }
}