package de.renew.ontology.generators;

import de.renew.ontology.entities.TemplateConfiguration;


/**
 * @author Konstantin Simon Maria Moellers
 * @version 2015-02-24
 */
public class JavaOntologyGenerator extends VelocityOntologyGenerator {
    public static final String BASE_DIR = "de/renew/ontology/java";

    public JavaOntologyGenerator() {
        super(new TemplateConfiguration("java", BASE_DIR + "/Ontology.java.vm"),
                        new TemplateConfiguration("java",
                                        BASE_DIR + "/Concept.java.vm"));
    }

    @Override
    public String getGeneratorName() {
        return "java";
    }
}