<!-- Adapted from: https://www.writethedocs.org/guide/writing/beginners-guide-to-docs/ -->

# RGBase

## User Guide

_RGBase_ provides reachability graph base classes.

### Features

- Provides reachability graph base classes.

### Example Usage

_RGBase_ does not provide any functionality on its own.

### Provided Commands

_RGBase_ does not provide any commands.

### Installation

Install _RGBase_ by putting the JAR file inside the `dist/plugins` directory.

It will be automatically loaded at startup of Renew.

### Dependencies

This plugin depends on the following plugins and external libraries:

<!-- must match the `module-info.java` -->

- `log4j`: Logging framework
- `Gui`: Add a new set of drawing tools

### Configuration

_RGBase_ does not read any properties from the `renew.properties` file in the Renew root directory.

## Developer Guide

### Core Classes

- `RGBasePlugin`: Manages the startup of the plugin.

### How to Extend

_RGBase_ exposes one Interface, `Aborter`. You can implement this interface to add additional functionality in aborting a query.

### Additional Information

<!-- Common issues, explanations for inconsistencies, etc. -->

<!-- Contribution Info -->

- Originally written by Michael Simon

<!-- License -->
