package de.renew.rgbase;

import de.renew.plugin.PluginAdapter;
import de.renew.plugin.PluginException;
import de.renew.plugin.PluginProperties;

import java.net.URL;

/**
 * Representative for the RGBase plugin.
 *
 * Does not provide any functionality on its own.
 * Only provides reachability graph base classes.
 *
 * @author Michael Simon
 */
public class RGBasePlugin extends PluginAdapter {
    public RGBasePlugin(URL url) throws PluginException {
        super(url);
    }

    public RGBasePlugin(PluginProperties props) {
        super(props);
    }
}