package de.renew.rgbase.gui;

/**
 * The aborter's single purpose is to abort a query, e.g. if the user
 * wants to cancel the query.
 * The abort() method will then return true.
 * <p>
 * It is important that any procedure regularly checks whether abort()
 * still returns false and cancels the query if it does not.
 */
public interface Aborter {
    boolean abort();
}
