package de.renew.ant;

import java.io.File;

import org.apache.tools.ant.BuildException;
import org.apache.tools.ant.taskdefs.optional.javacc.JJTree;


public class EnhancedJJTreeTask extends AbstractEnhancedJavaCCTask {
    public EnhancedJJTreeTask() {
        super("jjtree");
    }

    @Override
    protected void executeJavaCC(File javaccFile, File directory)
                    throws BuildException {
        JJTree task = (JJTree) getProject().createTask(singleTaskName);
        task.setJavacchome(javacchome);
        task.setTarget(javaccFile);
        task.setOutputdirectory(directory);
        task.init();
        task.execute();
    }
}