/**
 * Module info for the WindowManagement plugin.
 * Displays which packages it exports and which packages requires.
 */
module de.renew.windowmanagement {
    // Provided Packages
    exports de.renew.windowmanagement;

    // Renew Dependencies
    requires static transitive de.renew.loader;

    // Java Dependencies
    requires java.desktop;

    // Third-Party Dependencies
    requires log4j;
    requires docking.frames.common;
    requires docking.frames.core;
}