package de.renew.extras.layoutwindow;

import CH.ifa.draw.standard.AlignCommand;
import CH.ifa.draw.util.Command;

import java.awt.event.ActionEvent;
import java.awt.event.ActionListener;

import javax.swing.JComboBox;


public class AlignCommandActionListener implements ActionListener {
    private Command[] commands;
    private JComboBox combobox;

    public AlignCommandActionListener(String name, int op, JComboBox combobox) {
        this.combobox = combobox;
        int n = combobox.getItemCount();

        this.commands = new Command[n];
        for (int i = 0; i < n; i++) {
            Object item = combobox.getItemAt(i);
            this.commands[i] = new AlignCommand(
                            name + " " + String.valueOf(item), op, i);
        }
    }

    @Override
    public void actionPerformed(ActionEvent arg0) {
        int selectedIndex = combobox.getSelectedIndex();
        this.commands[selectedIndex].execute();
    }
}