package de.renew.ontology.generators;

import de.renew.ontology.entities.TemplateConfiguration;


/**
 * @author Konstantin Simon Maria Moellers
 * @version 2015-02-24
 */
public class JavaScriptOntologyGenerator extends VelocityOntologyGenerator {
    public static final String BASE_DIR = "de/renew/ontology/js";

    public JavaScriptOntologyGenerator() {
        super(new TemplateConfiguration("js", BASE_DIR + "/Ontology.js.vm"),
                        new TemplateConfiguration("js",
                                        BASE_DIR + "/Concept.js.vm"));
    }

    @Override
    public String getGeneratorName() {
        return "java-script";
    }
}