package de.renew.rgbase.elements;

import java.io.Serializable;

/**
 * An edge in the reachability graph.
 *
 * @author Michael Simon
 */
public class Edge implements Serializable {
    private final Node targetNode; // null for unexplorable

    public Edge(Node targetNode) {
        this.targetNode = targetNode;
    }

    public Node getTargetNode() {
        return targetNode;
    }
}