package de.renew.net.event;

/**
 * A producer for place related events.
 */
public interface PlaceEventProducer {
    /**
     * Adds a {@link PlaceEventListener}
     * @param listener The PlaceEventListener
     */
    public void addPlaceEventListener(PlaceEventListener listener);

    /**
     * Removes a {@link PlaceEventListener}
     * @param listener The PlaceEventListener
     */
    public void removePlaceEventListener(PlaceEventListener listener);
}